Subject: Re: [PATCH] e1000: Fix msi enable leak on error, don't print error message, cleanup

From: Jeff Garzik <[email-masked]>
Date: Wed, 16 May 2007 11:32:54 -0400

Auke Kok wrote:
> pci_enable_msi failure is a normal event so we should not print any error.
> Going over the code I spotted a missing pci_disable_msi() leak when irq
> allocation fails. The whole code also needed a cleanup, so I combined the
> two different calls to pci_request_irq into a single call making this
> look a lot better.
> 
> Signed-off-by: Auke Kok <[email-masked]>
> Cc: H. Peter Anvin <[email-masked]>

Looks OK, but compounds (and highlights) another problem:  you shouldn't 
be adding CONFIG_PCI_MSI ifdefs to the code.  MSI support is properly 
set up in the headers to enable working code even if CONFIG_PCI_MSI is 
disabled.

Revise your patch to remove CONFIG_PCI_MSI tests, and I'll include it 
straightaway.

	Jeff